Cars allowlist / Global
Update cars features
Updates the enabled features (Leasing, CameraPark Fleet, etc.) of existing cars on the global allowlist.
Returns HTTP 204 with no response body if all cars were updated successfully, or HTTP 207 if
one or more items failed. Check the failures field for any cars that could not be updated.
Cars not present in failures were successfully updated.
PATCH
/
api
/
cars
Update cars features
curl --request PATCH \
--url https://fleet.staging.ezprk.dev/api/cars \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"licenseNumber": "<string>",
"features": []
}
]
'import requests
url = "https://fleet.staging.ezprk.dev/api/cars"
payload = [
{
"licenseNumber": "<string>",
"features": []
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{licenseNumber: '<string>', features: []}])
};
fetch('https://fleet.staging.ezprk.dev/api/cars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failures": [
{
"licenseNumber": "<string>",
"error": "<string>"
}
]
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}{
"type": "https://developer.easyparkgroup.com/openapi/fleet/overview/",
"title": "Forbidden",
"status": 403,
"detail": "Access denied",
"instance": "/api/billing-accounts",
"timestamp": 1771232045624,
"traceId": "55a47f36-cea3-4b01-92b6-8295c02ac302"
}⌘I
Update cars features
